### compiler
ARM GNU Toolchain 4.8.2 for Cortex-A

### dependencies
*zlib-1.2.3\** \
e2fsprogs-1.41.14 \
lzo-2.08

**[make - zlib]**
```
export CROSS_COMPILE_GCC=arm-linux-gnueabi-gcc
export CROSS_COMPILE_LD=arm-linux-gnueabi-ld
export CROSS_COMPILE_AR=arm-linux-gnueabi-ar
export CC=${CROSS_COMPILE_GCC} LD=${CROSS_COMPILE_LD} AR=${CROSS_COMPILE_AR}
./configure --prefix=</path/to/zlib-output> --shared
make
make install
```

**[make - e2fsprogs]**
```
export CROSS_COMPILE_GCC=arm-linux-gnueabi-gcc
export CROSS_COMPILE_LD=arm-linux-gnueabi-ld
export CROSS_COMPILE_AR=arm-linux-gnueabi-ar
export CC=${CROSS_COMPILE_GCC} LD=${CROSS_COMPILE_LD} AR=${CROSS_COMPILE_AR}
./configure --host=arm-linux --prefix=</path/to/e2fsprogs-output> --enable-elf-shlibs 
make
make install
```

**[make - lzo]**
```
export CC=arm-linux-gnueabi-gcc
export CXX=arm-linux-gnueabi-g++
export AR=arm-linux-gnueabi-ar
export STRIP=arm-linux-gnueabi-strip
./configure --host=arm-linux --prefix=</path/to/lzo-output>
make
make install
```

**[make - mtd-utils]**
```
export CROSS="</path/to/toolchain>/bin/arm-linux-gnueabi-"
export PREFIX=</path/to/mtd-output>
export ZLIBCPPFLAGS="-I</path/to/zlib-output>/include"
export LZOCPPFLAGS="-I</path/to/lzo-output>/include"
export ZLIBLDFLAGS="-L</path/to/zlib-output>/lib"
export CFLAGS="-O2 -g -I</path/to/e2fsprogs-output>/lib"
export LDFLAGS="-L</path/to/e2fsprogs-output>/lib"
export LZOLDFLAGS="-L</path/to/lzo-output>/lib"
export WITHOUT_XATTR=1
make
find $(pwd)/ubi-utils/ -executable -type f | xargs -i cp -r {} /home/oss/target_rootfs/bin
```
